/*  %kw # %v    %n    %d    %t # */
/* Version # 5    METAVER3.H    21-Oct-92    11:21:32 # */

/***************************************************************** 
 *  METAVER3.H - MetaWINDOW Version 3 source code defines for    *
 *    compatibility with the MetaWINDOW Version 4 library.       *
 *                                                               * 
 *    Copyright (c) 1992  Metagraphics Software Corporation      * 
 *****************************************************************/

/* Event record name changes */
#define event        mwEvent
/*      State        eventState    - for keyboard buttons */
/*      State        eventButtons  - for mouse buttons    */
#define ASCII        eventChar
#define evntASCII    eventChar
#define Char         eventChar   

#define ScanCode     eventScan
#define evntScanCode eventScan

#define CursorX      eventX
#define CursorY      eventY
#define evntCursorX  eventX
#define evntCursorY  eventY

#define Time         eventTime
#define evntTime     eventTime

/* Obsolete CursorMap Record definition */ 
typedef short mapArray[8];

/* Old name for query module */
#define QueryGrafix QueryGraphics
#define QueryComm  QueryMouse
#define CommPort   GrafixInput
#define GrQuery    MetQuery
#define grquery    metquery

/* Old color name defines */
#define black           0  /* all bits OFF */
#define white          -1  /* all bits ON  */ 
#define true            1
#define false           0

/* Old grafPort/grafMap records & elements */
#define bitmap       grafMap
#define grafDevice   grafMap
#define metaPort     grafPort
#define rowBytes     pixBytes
#define portFlgs     portFlags
#define portBMap     portMap
#define map          rowMap

/* Old fontRcd record and elements */
#define  fontHeader  fontRcd
#define  fontRec     fontRcd
#define  fontName    fontBaseName
#define  bmapTbl     grafMapTbl
#define  leading     lnSpacing


/* Obsolete function calls, will be removed in the future */
void  ClearText      (void);
void  ClrInt         (void);
Word  CodeSeg        (void);
void  CopyBits       (grafMap  * /*SRCMAP*/, grafMap  * /*DSTMAP*/,
                           rect  * /*SRCRECT*/, rect  * /*DSTRECT*/,
                           rect  * /*DSTCLIP*/, int /*RASOP*/);
void  CursorMap      (short * /*MAPARRAY*/);
Word  DataSeg        (void);
Word  ExtraSeg       (void);
int   FileAttr       (char  * /*FILENAME*/, int /*ATTR*/);
int   FileDelete     (char  * /*FILENAME*/);
int   FileRename     (char  * /*OLDNAME*/, char  * /*NEWNAME*/);
void  GetCmdLine     (char  * /*CMDSTRING*/);
int   InitGrafix     (int /*mode*/);
int   ImagePara      (rect  * /*R*/);
int   LoadFont       (char  * /*FONTNAME*/);
void  PenMode        (int /*RASOP*/);
Word  StackPtr       (void);
Word  StackSeg       (void);
void  SetInt         (void);
int   SystemFont     (int /*FONTNBR*/);

/* equivalent functions */
#define ProtectOff()       ProtectRect( NULL )
#define ClearText()
#define CursorMap( map )   CursorStyle( (map[0]) )

/* similar functions */

static
int InitGrafix( int mode )
{

   int i;

   if( mode > 0 )
      return InitGraphics( mode );

   i = InitGraphics( -mode );
   PortOrigin( False );
   return i;

}

static
int LoadFont(char *Fname) { return 0; }

static
int SystemFont(int fontNum) { return 0; }

/* End of File - METAVER3.H */

